Packages - Bug #2243

sdcc ships nonfree libraries
2019-03-10 09:51 PM - GNUtoo

Status: duplicate % Done: 0%
Priority: freedom issue

Assignee:

Category:

Description

$ sdcc —--help
[...]
—-—use-non-free Search / include non-free licensed libraries and header files
[...]
$ pacman -Q -1 sdcc | grep non-free/$
sdcc /usr/share/sdcc/non-free/

History

#1 - 2019-03-10 09:51 PM - GNUtoo

Many of the files in /usr/share/sdcc/non-free/ have something like that:

*

For pic device libraries and header files which are derived from
Microchip header (.inc) and linker script (.lkr) files Microchip
requires that "The header files should state that they are only to be
used with authentic Microchip devices" which makes them incompatible

*

*

with the GPL. Pic device libraries and header files are located at

*

non-free/lib and non-free/include directories respectively.
Sdcc should be run with the --use-non-free command line option in

*

order to include non-free header files and libraries.

*

*

See http://sdcc.sourceforge.net/ for the latest information on sdcc.

#2 - 2019-03-11 12:27 AM - freemor

- Status changed from confirmed to duplicate

This is a duplicate version of #2160.

There is already a Patched package in testing.. No one ever tested it. Please feel free to do so.
